package catalunya.de.ocells;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.net.Uri;
import android.os.Bundle;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import catalunya.de.ocells.db.dbLlistesAdapter;

public class HolaActivity extends Activity {
	
	Button botoAcceptar;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_hola);
		if (android.os.Build.VERSION.SDK_INT >= 11)
			getActionBar().setDisplayHomeAsUpEnabled(true);		
		botoAcceptar = (Button)findViewById(R.id.hola_boto_acceptar);
		botoAcceptar.setOnClickListener(botoAcceptarListener);
	}

	
	  
	  @Override
	  public void onResume() {
		  super.onResume();
		  dbLlistesAdapter mdbLlistesAdapter;
		  mdbLlistesAdapter = new dbLlistesAdapter(this);
		  mdbLlistesAdapter.open();
		  
		  if (!mdbLlistesAdapter.taulaOcellsPlena()){
			  mdbLlistesAdapter.carregarDadesOcells();
		  }
		  
	  }


	private OnClickListener botoAcceptarListener = new OnClickListener() {
	    public void onClick(View v) {
            finish();
	    }
	};
	
	@Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
        	case android.R.id.home:
        		finish();
        		return true;
            default:
                return false;
        }
	}	

}
