package catalunya.de.ocells.cerca;

import java.util.ArrayList;
/**
 * Classe pregunta
 * @author jsirera
 *
 */
public class pregunta {
	
	public final static Integer CONCRETA = 0;
	public final static Integer IMPLICITA = 1;
	public final static Integer HABITAT = 2;
	public final static Integer PRIORITAT= 3;
	public final static Integer CARACTERISTICA= 4;
	public final static Integer XORRA= 5;
	
	public String	nom;			//Nom per identificar la pregunta
	public Boolean 	bActiva;		//Esta activa?
	public Boolean 	bFeta;			//Ha estat feta?
	public String 	text;			//Text de la pregunta
	public String 	text2;			//Text curt
	public String 	imatge;			//Imatge general de la pregunta per a la cerca guiada
	public String 	imatge2;		//Imatge per a l'us als filtres
	public String 	keyDB;			//Camp de la BBDD on hi han les dades de les especies per a la pregunta
	public String 	opcions;		//Nom de les opcions usades en la pregunta
	public String 	dependencies; 	//Si fem aquesta pregunta activarem d'altres segons la resposta. La resposta es pot deixar en blanc, pe: (,becForma)
	public Integer 	ordreMinim;		//Minim de preguntes que es faran abans d'aquesta
	public Integer 	tipus;			//Tipus de pregunta
	public Integer	pes;			//Pes de la pregunta
	

	/**
	 * Constructor pregunta
	 * @param nom Nom per identificar la pregunta
	 * @param bActiva Esta activa?
	 * @param text Text de la pregunta
	 * @param text2 Text curt
	 * @param imatge Imatge general de la pregunta
	 * @param keyDB Camp de la BBDD on hi han les dades de les especies per a la pregunta
	 * @param opcions Nom de les opcions usades en la pregunta
	 * @param dependencies Si fem aquesta pregunta activarem d'altres segons la resposta. La resposta es pot deixar en blanc, pe: (,becForma)
	 * @param ordreMinim Minim de preguntes que es faran abans d'aquesta
	 * @param tipus Tipus de pregunta
	 * @param pes Pes de la pregunta
	 */
	public pregunta(String nom, Boolean bActiva, String text, String text2, String imatge, String imatge2, String keyDB, String opcions, String dependencies, Integer ordreMinim, Integer tipus, Integer pes) {
		
		this.nom = nom;
		this.bActiva = bActiva;
		this.bFeta = false;
		this.text = text;
		this.text2 = text2;
		this.imatge = imatge;
		this.imatge2 = imatge2;
		this.keyDB = keyDB;
		this.opcions = opcions;
		this.dependencies = dependencies;
		this.ordreMinim = ordreMinim;
		this.tipus = tipus;
		this.pes = pes;

	
    }
}	
	
	
	





